/* BLOCK: Location Details */

.block-location-details .main-wrapper {
    display: grid;
    /* grid-template-columns: 31.25rem 1fr; */
    grid-template-columns: 37.688rem 1fr;
    grid-template-rows: auto auto 1fr;
    column-gap: 3.125rem;
    align-items: flex-start;
    position: relative;
}

.block-location-details .map-wrapper {
    grid-column: 2;
    grid-row: 1 / span 3;
    align-self: start;
    position: sticky;
    top: 3.125rem;
    height: calc(100vh - 6.25rem);
}

.block-location-details .map-wrapper .gmap {
    border-radius: 1.563rem;
    height: 100%;
    border: 1px solid rgb(from var(--c-text-dark) r g b / .15);
}

.block-location-details .gmap {
    width: 100%;
    height: 100%;
}

.block-location-details .location__tags {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding-bottom: 1.875rem;
    gap: 0.5rem;
    flex-wrap: wrap;
}

.block-location-details .location__tags > * {
    border-radius: 0.5rem;
    padding: 0.625rem 0.75rem;
    border: 1px solid var(--c-border);
    
}

.block-location-details .tag--type {
    color: var(--c-bg-dark-tint-1);
    font-size: var(--font-12-11);
    font-weight: 600;
}

.block-location-details .theme--dark .tag--type {
    border-color: rgb(from var(--c-text-light) r g b / .15);
    color: var(--c-bg-light-tint-1);
}

.block-location-details .location__status {
    display: flex;
    align-items: center;
    gap: 0.25rem;
    font-size: var(--font-12-11);
    font-weight: 600;
    margin-left: auto;
    color: var(--c-primary);
}

.block-location-details .theme--dark .location__status {
    border-color: rgb(from var(--c-text-light) r g b / .15);
    color: var(--c-text-light);
}

.block-location-details .location__status::before {
    content:"";
    width: 0.5rem;
    height: 0.5rem;
    border-radius: 100vw;
}

.block-location-details .location__status.status--low::before {
    background-color: #D32727;
}

.block-location-details .location__status.status--medium::before {
    background-color: #F09C02;
}

.block-location-details .location__status.status--high::before {
    background-color: #75BF43;
}

.block-location-details .location__name {
    text-decoration: none;
    color: var(--c-text-dark);
}

.block-location-details .theme--dark .location__name {
    color: var(--c-text-light);
}

.block-location-details .location__address {
    padding-bottom: 1.5625rem;
    padding-top: 1.25rem;
    margin:0;
    color: var(--c-primary);
    font-weight: 600;
    font-size: var(--font-12-11);
}

.block-location-details .theme--dark .location__address {
    color: var(--c-bg-dark-tint-2);
}

.block-location-details .location__values {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1.25rem;
    margin-top: 3.125rem;
}

.block-location-details .location__value {
    border-radius: 1.125rem;
    background-color: var(--c-bg-light-tint-1);
    color: var(--c-primary);
    /* font-size: var(--font-14-10); */
    font-size: var(--font-16-10);
    font-weight: 600;
    padding: 1.5625rem;
    text-align: center;
}

.block-location-details .theme--dark .location__value {
    background-color: rgb(255 255 255 / .15);
    color: var(--c-text-light);
}

.block-location-details .location__info {
    color: var(--c-body);
    margin:0;
}

.block-location-details .theme--dark .location__info {
    color: var(--c-text-light);
}

.block-location-details .location__info strong {
    color: var(--c-primary);
}

.block-location-details .theme--dark .location__info strong {
    color: var(--c-bg-dark-tint-2);
}

.block-location-details .location__opening {
    font-size: var(--font-12-11);
    font-weight: 600;
    color: var(--c-primary);
}

.block-location-details .theme--dark .location__opening {
    border-color: rgb(from var(--c-text-light) r g b / .15);
    color: var(--c-text-light);
}

.block-location-details .location__opening.is--open .message {
    color: var(--c-tertiary);
}

.block-location-details .location__opening.is--closed .message {
    color: #D32727;
}

.block-location-details .sections-wrapper {
    display: flex;
    flex-direction: column;
    gap: 4.6875rem;
}

.block-location-details section:not(.section-availability):not(:last-child) {
    padding-bottom: 4.6875rem;
    border-bottom: 1px solid rgb(from var(--c-text-dark) r g b / 0.15); 
}

.block-location-details .section-head .back-2-btn {
    margin-bottom: 3.125rem;
}

.block-location-details .section-head .back-2-btn svg {
    transform: none !important;
}

.block-location-details .section-head .location__title {
    margin-bottom: 4.6875rem;
}

.block-location-details .section-head .cta-buttons {
    gap: 0.938rem;
}

.block-location-details .section-main {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 1.25rem;
}

.block-location-details .section-main .main-card {
    padding: 1.875rem;
    border-radius: 1.5625rem;
    grid-column: 1 / -1;
}

.block-location-details .section-main .address-card,
.block-location-details .section-main .opening-table-card {
    padding: 1.875rem;
    border-radius: 1.5625rem;
}

.block-location-details .section-main .opening-table-card.accordion {
    border-bottom: 0;
}

.block-location-details .section-main .address-card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.block-location-details .section-main .address-card .location__address {
    font-size: var(--font-21-15);
    font-weight: 600;
    padding:0;
    margin-bottom: auto;
    color: var(--c-text-light);
}

.block-location-details .accordion .ac-trigger {
    display: none;
}

.block-location-details .section-main .opening-table-card .opening-table {
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

.block-location-details .section-main .opening-table-card .opening-table .table__row {
    font-size: var(--font-13-11);
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
}

.block-location-details .section-main .opening-table-card .opening-table .table__row:not(:last-child) {
    padding-bottom: 0.75rem;
    border-bottom: 1px solid rgb(from var(--c-text-dark) r g b / 0.15);
}

.block-location-details .section-main .opening-table-card .opening-table .table__row:last-child {
    margin-bottom: 0.1875rem;
}

.block-location-details .section-main .opening-table-card .opening-table .table__row:first-of-type {
    margin-top: 0.125rem;
}

.block-location-details .section-main .opening-table-card .opening-table .table__row .table__value {
    font-weight: 600;
}

.block-location-details .accordion .ac-state:checked ~ .ac-content .ac-content-inner {
    padding-bottom: 0;
}

.block-location-details .section-description {
    display: flex;
    flex-direction: column;
    gap: 2.5rem;
}

.block-location-details .section-availability {
    display: flex;
    flex-direction: column;
    gap: 3.125rem;
}

.block-location-details .section-availability .availability-head {
    display: flex;
    justify-content: space-between;
}

.block-location-details .section-availability .availability-title svg {
    color: var(--c-tertiary);
    width: 1.1875rem;
    height: auto;
}

.block-location-details .section-availability .availability-live-indicator {
    border: 1px solid #D6D5D3;
    color: var(--c-text-light);
    
    display: flex;
    align-items: center;
    gap: 0.25rem;
    font-size: var(--font-12-10);
    font-weight: 600;
    margin-left: auto;
    color: var(--c-text-dark);
    border-radius: 0.5rem;
    padding: 0.5625rem 0.75rem;
}

.block-location-details .section-availability .availability-live-indicator::before {
    content: "";
    width: 0.625rem;
    height: 0.625rem;
    border-radius: 100vw;
    background-color: #75BF43;
}

.block-location-details .section-availability .connectors-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 1.25rem;
}

.block-location-details .section-availability .connector-card {
    background-color: var(--c-bg-light-tint-1);
    border-radius: 1.5625rem;
    padding: 2.5rem 0;

    flex: 1 1 calc(( 100% - 2.5rem ) / 3);
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
    align-items: center;
}

.block-location-details .section-availability .connector-card.bays {
    flex-basis: 100%;
    flex-direction: row;
    justify-content: space-between;
    padding-inline: 2.5rem;
}

.block-location-details .section-availability .connector-card.bays > svg {
    flex-shrink: 0;
    height: 2.5rem;
    width: auto;
    color: var(--c-tertiary);
}

.block-location-details .section-availability .bays__title {
    width: 7.25rem;
}

.block-location-details .section-availability .connectors__count {
    color: var(--c-primary);
    margin-bottom: 1.25rem;
}

.block-location-details .section-availability .bays__count {
    color: var(--c-primary);
    width: 7.25rem;
    text-align: right;
}

.block-location-details .section-availability :is(.connectors__count, .bays__count) span {
    color: var(--c-bg-dark-tint-1);
    margin-left: 0.5rem;
}

.block-location-details .section-availability .connectors__power {
    color: var(--c-text-dark);
    margin:0;
}

.block-location-details .map-wrapper .energy-marker {
    /* padding: 0.938rem; */
    background-color: var(--c-primary);
    border-radius: 100vw;
    width: 3.125rem;
    height: 3.125rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.block-location-details .map-wrapper .energy-marker svg {
    color: var(--c-text-light);
    width: 0.9375rem;
    height: auto;
}


@media screen and (width > 620px) {
        
    .block-location-details .block-promo .cta-wrapper {
        height: auto;
        min-height: unset;
        gap: 2.75rem;
        padding: 1.875rem;
    }

    .block-location-details .block-promo .main-wrapper {
        display: flex;
        align-self: stretch;
        justify-content: space-between;
        margin-block: 0;
    }

    .block-location-details  .block-promo .image-wrapper {
        width: 31.8%;
        flex-basis: 31.8%;
    }

    .block-location-details .block-promo .cta-wrapper.app-image .image-wrapper {
        margin-block: 0 -9rem;
    }

    .block-location-details .block-promo .cta-buttons {
        flex-wrap: nowrap;
    }

}

@media screen and (width <= 620px) {
    .block-location-details .main-wrapper {
        display: flex;
        align-items: stretch;
        flex-direction: column;
        gap: 1.25rem;
    }

    .block-location-details .location__tags {
        padding-bottom: 1.25rem;
    }

    .block-location-details .location__address {
        padding-top: 0.9375rem;
        padding-bottom: 1.25rem;
    }

    .block-location-details .location__value {
        padding: 0.75rem 0.5rem;
        border-radius: 0.5rem;
    }

    .block-location-details .location__tags {
        gap: 0.375rem;
    }

    .block-location-details .location__tags > * {
        padding: 0.5rem 0.625rem;
    }

    .block-location-details .map-wrapper {
        position: static;
        width: 100%;
        height: auto;
        aspect-ratio: 1;
        max-height: 75vh;
    }

    .block-location-details .section-main {
        display: flex;
        flex-direction: column;
    }

    .block-location-details .section-head .back-2-btn {
        margin-bottom: 2.1875rem;
    }

    .block-location-details .section-head .location__title {
        margin-bottom: 2.5rem;
        max-width: 100%;
    }

    .block-location-details .section-head .cta-buttons {
        gap: 0.75rem;
    }

    .block-location-details .section-description {
        gap: 1.875rem;
    }

    .block-location-details section:not(.section-availability):not(:last-child) {
        padding-bottom: 2.5rem;
    }

    .block-location-details .section-main .main-card {
        padding: 1.375rem;
    }

    .block-location-details .location__values {
        margin-top: 1.875rem;
        gap: 0.625rem;
    }

    .block-location-details .section-main .address-card {
        padding: 1.375rem;
    }

    .block-location-details .section-main .address-card .location__address {
        margin-bottom: 2.3125rem;
        border-radius: 0.875rem;
    }

    .block-location-details .section-main .opening-table-card {
        padding-block: 0;
        border-radius: 0.875rem;
        border: none;
        padding-inline: 1.375rem;
    }

    .block-location-details .accordion .ac-trigger {
        padding-block: 1.4685rem;
    }

    .block-location-details .accordion .ac-state:checked ~ .ac-content .ac-content-inner {
        padding-bottom: 1.5625rem;
    }

    .block-location-details .section-availability {
        gap: 1.875rem;
    }

    .block-location-details .section-availability .connectors-wrapper {
        gap: 0.75rem;
    }

    .block-location-details .section-availability .connector-card {
        padding: 1.5625rem 0;
        border-radius: 1.125rem;
    }

    .block-location-details .section-availability .connector-card.bays {
        padding-inline: 1.5625rem;
    }

    .block-location-details .section-availability .connector-card.bays > svg {
        height: 1.5625rem;
    }

    .block-location-details .section-availability :is(.bays__title, .bays__count) {
        width: 5.125rem;
    }

    .block-location-details .section-availability .connectors__count {
        margin-bottom: 0.3125rem;
    }

    .block-location-details .map-wrapper .energy-marker {
        width: 2.5rem;
        height: 2.5rem;
    }

    .block-location-details .accordion .ac-trigger {
        display: flex;
    }

    .block-location-details .accordion .ac-icon svg {
        transition: transform 0.3s ease;
        color: var(--theme-clr-heading);
    }

    .block-location-details .accordion .ac-state:checked + .ac-trigger .ac-icon svg {
        transform: rotate(180deg);
    }

    .block-location-details .accordion .ac-icon {
        height: auto;
    }

    .block-location-details .accordion .ac-icon::before,
    .block-location-details .accordion .ac-icon::after {
        content: none !important;
    }

    .block-location-details .map-wrapper .gmap,
    .block-location-details .section-main .main-card {
        border-radius: 1.125rem;
    }

    .block-location-details .sections-wrapper {
        gap: 2.5rem;
    }

    .block-location-details .section-availability .availability-title svg {
        height: 1rem;
        width: auto;
    }

    .block-location-details .section-availability .availability-live-indicator {
        padding: 0.5rem 0.625rem;
        border-radius: 0.375rem;
    }

    .block-location-details .section-availability .availability-live-indicator::before {
        width: 0.5rem;
        height: 0.5rem;
    }
}

